<?php

/* DCMS Special
 * Дата последнего редактирования 02.10.2016
 * Модифицировал densnet
 */

foreach (array('start', 'compress', 'sess', 'settings', 'db_connect', 'ipua', 'fnc', 'user') as $inc) {
    require_once "../../sys/inc/$inc.php";
}

only_reg();

$doc->Title('Друзья');

require_once H . 'sys/inc/thead.php';

if (isset($_GET['id'])) {
    $sid = intval($_GET['id']);
} else {
    $sid = $user['id'];
}

$ank = get_user($sid);

aut();

if (isset($_POST['password'])) {
    $set_cook = $_POST['password'];
    setcookie("passfriend$ank[id]", $set_cook);
    if (isset($_POST['password']) && $_POST['password'] == $ank['friends_password']) {
        header("Location: ?id=$ank[id]");
    }
}
if ($ank['friends_access'] == 'only_me') {
    if ($ank['id'] == $user['id'] && isset($user) || $user['level'] >= 3) {
        
    } else {
        echo "<div class='list-group-item-null list-group-item-info'>";
        echo lang('Доступ к списку друзей ограничен');
        echo "</div>";

        $doc->Link('list-group-item-null', "/id$ank[id]", 'arrow-left', "Вернуться к $ank[nick]");

        require_once H . 'sys/inc/tfoot.php';

        exit();
    }
} elseif ($ank['friends_access'] == 'friends') {
    if ($ank['id'] == $user['id'] && isset($user) || $user['level'] >= 3 || $ank['id'] == $user['id'] && isset($user) || isset($umodd) || mysql_result(mysql_query("SELECT COUNT(*) FROM `friends` WHERE (`user` = '$user[id]' AND `friends` = '$ank[id]') OR (`user` = '$ank[id]' AND `friends` = '$user[id]')"), 0) != 0) {
        
    } else {
        echo "<div class='list-group-item-null list-group-item-info'>";
        echo lang('Доступ к списку друзей ограничен');
        echo "</div>";

        $doc->Link('list-group-item-null', "/id$ank[id]", 'arrow-left', "Вернуться к $ank[nick]");

        require_once H . 'sys/inc/tfoot.php';
        exit();
    }
} elseif ($ank['friends_access'] == 'pass') {
    if (isset($_COOKIE["passfriend$ank[id]"]) && $_COOKIE["passfriend$ank[id]"] == $ank['friends_password'] || $ank['id'] == $user['id'] && isset($user) || $user['level'] >= 3) {
        
    } else {
        if (isset($_POST['password']) && $_POST['password'] != $ank['friends_password']) {
            $err[] = lang("Неверный пароль");
        }
        err();

        echo "<form class = 'list-group-item-null' action='' method='post'>";
        echo lang('Список друзей пользователя') . " <b>$ank[nick]</b> " . lang('доступен только по паролю') . "<br/>";

        $doc->Input('password', 'Пароль', 16);
        echo "<br />";
        $doc->Button('btn btn-success btn-sm', 'submited', null, 'Войти');

        echo "</form>";

        require_once H . 'sys/inc/tfoot.php';
        exit();
    }
}

#Навигация
echo "<div class='list-group-item-null list-group-item-grey'><small>";
echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
echo "<a href='/info.php?id=$ank[id]'>$ank[nick]</a> <i class='fa fa-angle-right fa-fw'></i> ";
echo lang('Друзья');
echo "</small></div><br />";

$k_online = mysql_result(mysql_query("SELECT COUNT(*) FROM `friends` INNER JOIN `user` ON `friends`.`friends`=`user`.`id` WHERE `friends`.`user` = '$ank[id]' AND `friends`.`i` = '1' AND `user`.`date_last`>'" . (time() - 300) . "'"), 0);
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `friends` WHERE `user` = '$ank[id]' AND `i` = '1'"), 0);
$k_z = mysql_result(mysql_query("SELECT COUNT(id) FROM `friends_new` WHERE `to` = '$ank[id]'"), 0);

echo "<div class='list-group-item-null list-group-item-grey'>";
if ($k_post == 0) {
    echo "<ul class='nav nav-tabs' style='margin-bottom: -12px;'>";
} else {
    echo "<ul class='nav nav-tabs' style='margin-bottom: -11px;'>";
}
echo "<li class='nav-item'><a class='nav-link active'>" . lang('Друзья') . " <span class='label label-default'>$k_post</span></a></li>";

if (isset($user) && $user['id'] == $ank['id']) {
    echo "<li class='nav-item'><a class='nav-link' href='new.php'>" . lang('Заявки') . " <span class='label label-default'>$k_z</span></a></li>";
}
echo "<li class='nav-item'><a class='nav-link' href='online.php?id=$ank[id]'>" . lang('Онлайн') . " <span class='label label-default'>$k_online</span></a></li>";

echo "</ul>";
echo "</div>";

if ($k_post == 0) {
    echo "<br />";
    $doc->NoResult();
}

$k_page = k_page($k_post, $set['p_str']);
$page = page($k_page);
$start = $set['p_str'] * $page - $set['p_str'];
$q = mysql_query("SELECT * FROM `friends` WHERE `user` = '$ank[id]' AND `i` = '1' ORDER BY time DESC LIMIT $start, $set[p_str]");

while ($f = mysql_fetch_array($q)) {
    $friends = mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = '$f[friends]' LIMIT 1"));
    echo "<table class='list-group-item-null'><tr><td class='icon14'>";
    avatar($friends['id'], '48', 'border-radius: 2px;');
    echo "</td><td class='null'>";
    if ($ank['id'] == $user['id']) {
        echo "<span style='float:right'>";
        echo "<a href='/user/friends/new.php?del=$friends[id]' class='hint--left' data-hint='" . lang('Удалить') . "'><i class='fa fa-trash-o fa-fw'></i></a>";
        echo "</span>";
    }
    user($friends['id']);
    echo "<br />";

    if (isset($user) && $user['id'] == $friends['id']) {
        echo "<font color='grey'><i class='fa fa-envelope fa-fw'></i> " . lang('Сообщение') . "</font>";
    } else {
        echo "<a href = '/user/mail/messageList.php?contact=$friends[id]'><i class='fa fa-envelope fa-fw'></i> " . lang('Сообщение') . "</a>";
    }

    echo "</td></tr></table>";
    echo "<div class='hr'></div>";
}
if (isset($user) && $user['id'] == $ank['id']) {
    echo "<div class='list-group-item-null list-group-item-grey'>";
    echo "<a href='access.php'><i class='fa fa-cog fa-fw'></i> " . lang('Настройки') . "</a><br />";
    echo "</div>";
}

if ($k_page > 1) {
    str('?id=' . $ank['id'] . '&amp;', $k_page, $page);
}

require_once H . 'sys/inc/tfoot.php';
